/* empty css                                       */
import { d as createAstro, c as createComponent } from '../../chunks/astro/server_5mFihzcn.mjs';
import 'clsx';
import '../../chunks/Layout_v67TeP9G.mjs';
import { T as TOKEN } from '../../chunks/middleware_BbZL2mEI.mjs';
export { renderers } from '../../renderers.mjs';

const $$Astro = createAstro("https://new.sambekiel.com");
const $$Logout = createComponent(($$result, $$props, $$slots) => {
  const Astro2 = $$result.createAstro($$Astro, $$props, $$slots);
  Astro2.self = $$Logout;
  Astro2.cookies.delete(TOKEN, {
    path: "/"
  });
  return Astro2.redirect("/");
}, "C:/projects/sambekiel_front/src/pages/dashboard/logout.astro", void 0);

const $$file = "C:/projects/sambekiel_front/src/pages/dashboard/logout.astro";
const $$url = "/dashboard/logout";

const _page = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null,
  default: $$Logout,
  file: $$file,
  url: $$url
}, Symbol.toStringTag, { value: 'Module' }));

const page = () => _page;

export { page };
